# BuildResult

interface BuildResult

The result of executing a build, via the GradleRunner.

#### Since

2.6

#### See also

GradleRunner

## Functions

getOutput
Link copied to clipboard
abstract fun getOutput(): String
The textual output produced during the build.
getTasks
Link copied to clipboard
abstract fun getTasks(): List<BuildTask>
The tasks that were part of the build.
task
Link copied to clipboard
@Nullable
abstract fun task(taskPath: String): @Nullable BuildTask
Returns the result object for a particular task, or `null` if the given task was not part of the build.
taskPaths
Link copied to clipboard
abstract fun taskPaths(outcome: TaskOutcome): List<String>
The paths of the subset of getTasks that had the given outcome.
tasks
Link copied to clipboard
abstract fun tasks(outcome: TaskOutcome): List<BuildTask>
The subset of getTasks that had the given outcome.